
.control-table-container input {
	border: 1px solid #8D8D8D;
}

.control-table-container label {
	color: #585858;
}

div.control {
	box-sizing: border-box; 
	display: table; 
	width: 100%;
}

div.control > label {
	display: table-cell;
	width: 50%;
	padding: 5px;	
	vertical-align: middle;
}

.control-title,
div.control > label.control-title {
	width: 60%;
	text-align: left;
	font-size: 0.9em;
}


div.control-frame {
	padding: 3px;
}

div.control-frame > header {
	text-align: center; 
	margin-bottom: 3px;
	padding: 2px;
	font-size: 0.9em;
}


.control-padding {
	padding: 5px;
}

.control-right {
	text-align: right;	
	vertical-align: middle;
}

.control-number-value {
	text-align: right;
}

.control-spacing {
	margin-top: 10px;
}


.control-title-split-value {
	width: 40%;
}

span.control-split-value {
	display:inline-block; 
	vertical-align: middle;
	padding: 0px 5px;
}

					
div.horizontal-control {
	width: 100px; 
	display: inline-block; 
	padding-left: 10px;
}

input.horizontal-control {
	padding: 4px; 
	margin: 0; 
	position: relative; 
	top: 1px; 
	left: -4px;
	width: 150px;
	font-size:14px;
}


div.control-group {
	display:inline-block;				
	position: relative;
	 
	padding: 10px; 
	padding-top: 20px; 				
	border: thin #0b4c84 solid;				
	margin: 10px 8px;
}

p.control-group-label {
	display: inline-block; 
	position: absolute; 
	top: -8px; 
	
	color: #0b4c84; 
	background: white;
	margin: 0px; 
	padding: 0px 3px; 
}

.control-group label {
	display: table-cell; 
	padding-right: 5px;	
	padding-top: 7px;
}


.control-table-container,
.control-table-container-leftlabel  {
	display: inline-table;
	text-align: left;				
}

.control-table-container > div,
.control-table-container-leftlabel > div {
	display: table-row;
}

.control-table-container > div > label:FIRST-CHILD {
	display: table-cell;
	padding-right: 10px; 
	text-align: right;
}

.control-table-container-leftlabel > div > label:FIRST-CHILD {
	display: table-cell;
	padding-right: 10px; 
}

.control-table-container-spacing > div > label:not(:first-child) {
	padding-left: 20px;
}

table.control-table-container,
table.control-table-container-leftlabel  {
	display: inline-block;
	width: 100%;
	text-align: left;
}

table.control-table-container tr > td:FIRST-CHILD {
	padding-right: 10px; 
	text-align: right;
	width: 100%;
	color: #585858;
}

table.control-table-container-leftlabel tr > td:FIRST-CHILD {
	display: table-cell;
	padding-right: 10px; 
}

table.control-table-container-spacing tr > td:not(:first-child) {
	padding-left: 20px;
}

table.control-table-container tr > td:last-child {
	min-width: 200px;
}

table.control-table-container .note-item > td:first-child {
	font-weight: bold;
	font-size: 0.9em;
	text-align: left;
}


.control-list-center {
	text-align: center;
}

.control-list-center > div {
	display: inline-block;
}

.list-higlight {
	background-color: green; 
	color: white; 
	border-radius: 5px 5px 5px 5px; 
	padding: 3px 8px;
	font-size: 0.8em;
}

ul.control-item-list {
	list-style-type: none; 
	list-style-position: inside; 
	overflow-y: scroll; 
	border: 1px solid #8D8D8D;
}

ul.control-item-list li p  {
	display: table-cell; 
	padding: 10px; 
	width: 100%;
}

ul.control-item-list li div  {
	display: table-cell; 
	padding: 5px;
}

span.help-button {
	display: inline-block; 
	width: 40px; 
	height: 40px; 
	background-image: url('../images/buttons/question.png');
	background-size: 100% 100%;
	background-repeat: no-repeat;
	vertical-align: middle;
	cursor: pointer;
}

span.help-button:HOVER {
	background-image: url('../images/buttons/question-hover.png');
}

span.info-button {
	display: inline-block; 
	width: 40px; 
	height: 40px; 
	background-image: url('../images/buttons/info.png');
	background-size: 100% 100%;
	background-repeat: no-repeat;
	vertical-align: middle;
	cursor: pointer;
}

span.info-button-alt {
	display: inline-block; 
	width: 35px; 
	height: 35px; 
	background-image: url('../images/buttons/info-alt.png');
	background-size: 100% 100%;
	background-repeat: no-repeat;
	vertical-align: middle;
}

span.info-button-alt:HOVER {
	background-image: url('../images/buttons/info-alt-hover.png');
}

span.parts-button {
	display: inline-block; 
	width: 40px; 
	height: 40px; 
	background-image: url('../images/ro/repair.png');
	background-size: 100% 100%;
	background-repeat: no-repeat;
	vertical-align: middle;
	cursor: pointer;
}

span.list-open-button {
	display: inline-block; 
	width: 40px; 
	height: 40px; 
	background-image: url('../images/ro/open.png');
	background-size: 100% 100%;
	background-repeat: no-repeat;
	vertical-align: middle;
	cursor: pointer;
}

.back-button {
	display:inline-block;
	position: absolute; 
	right: 0px;  
	top: 5px; 
	width: 100px; 
	height: 42px;
	vertical-align: middle;
	color: #6A1A7F;
	background-color: white;
	text-transform: uppercase;
	cursor: pointer;
	border: 1px solid #6A1A7F;	
	text-align: left;
  	text-decoration: none;  	
  	padding: 13px 20px;  	
  	font-size: 0.75em; 
  	font-weight: bolder;
  	border-radius: 5px;
}

.back-button .arrow-forward {
	display: block;
	position: absolute; 
	width: 14px; 
	height: 14px;
	top: 50%;
	right: 16px;
	margin-top: -7px;
	background-image: url('../images/buttons/arrow-forward.svg'); 
	background-size: 100% 100%; 
	vertical-align: middle;
	cursor: pointer;
}

.back-button-e {
	display:inline-block; 
	width: 100px; 
	height: 42px;
	position: absolute; 
	right: 0px;  
	top: 5px;  
	background-image: url('../images/buttons/back-button-e.png'); 
	background-size: 100% 100%; 
	vertical-align: middle;
	cursor: pointer;
}

.back-button-n,
.download-button {
	margin-top: -3px;
	display:inline-block; 
	width: 30px; 
	height: 30px; 
	color: #6A1A7F;
	border: 1px solid #6A1A7F;
	border-radius: 5px;
	background-color: white;
	background-repeat: no-repeat;
	background-position: center;
	vertical-align: middle;
	cursor: pointer;
}

.back-button-n {
	margin-left: 10px;
	background-image: url('../images/buttons/arrow-up.svg'); 
	background-size: 18px 18px;
}

.download-button {
	margin-left: 15px;
	background-image: url('../images/buttons/download-file.svg'); 
	background-size: 20px 20px;
}

button.purple,
button.default:hover {
	display: inline-block; 
	position: relative;
	color: white;
	background-color: #6A1A7F;	
	border: 1px solid #6A1A7F;	
	padding: 8px 15px;
	text-align: center;
  	text-decoration: none;
  	text-transform: uppercase;
  	font-size: 0.75em; 
  	font-weight: bold;
  	min-width: 90px;
  	cursor: pointer;
  	height: 31px;
}

button .search {
	display:inline-block; 
	width: 12px; 
	height: 12px; 
	background-image: url('../images/buttons/search-icon.svg'); 
	background-size: 100% 100%; 
	vertical-align: middle;
}

button.white,
button.default {
	display: inline-block;
	background-color: white;
  	border: 1px solid #6A1A7F;
	color: #6A1A7F;
	padding: 8px 15px;
	text-align: center;
  	text-decoration: none; 
  	text-transform: uppercase;
  	font-size: 0.75em; 
  	font-weight: bold;
  	min-width: 90px;  	
  	cursor: pointer;
  	height: 31px;
  	margin-left: 2px;
}

button.ui-button {
	border: 1px solid #6A1A7F;
}

.arrow-forward {
	display:inline-block; 
	width: 15px; 
	height: 15px; 
	background-image: url('../images/buttons/arrow-forward.svg'); 
	background-size: 100% 100%; 
	vertical-align: middle;
	cursor: pointer;
}

button.icon-only,
button.icon-only:hover {
	padding: 4px 8px;
	height: 31px;
	padding: 4px 8px;
	min-width: auto;
	border-radius: 5px;
}

button .repository-icon {
	display:inline-block; 
	width: 24px; 
	height: 20px; 
	background-image: url('../images/icons/folder-purple.png'); 
	background-size: 100% 100%; 
	vertical-align: middle;
	cursor: pointer;
}

button:hover .repository-icon {
	background-image: url('../images/icons/folder-white.png'); 
}

button .delete-file-icon {
	display:inline-block; 
	width: 20px; 
	height: 20px; 
	background-image: url('../images/icons/delete-icon.png'); 
	background-size: 100% 100%; 
	vertical-align: middle;
	cursor: pointer;
}

button:hover .delete-file-icon {
	background-image: url('../images/icons/delete-icon-hover.png'); 
}

.message {
	display:inline-block; 
	width: 25px; 
	height: 20px; 
	background-image: url('../images/buttons/messages.png'); 
	background-size: 100% 100%; 
	vertical-align: middle;
	cursor: pointer;
}

span.reload-button {
	display: inline-block; 
	width: 60px; 
	height: 60px; 
	background-image: url('../images/buttons/reload.png');
	background-size: 100% 100%;
	background-repeat: no-repeat;
	
	cursor: pointer;
}

span.reload-button:HOVER {
	background-image: url('../images/buttons/reload-hover.png');
}

.grid-button {
	background-color: white;
  	border: 1px solid #6A1A7F;
  	text-align: center;
  	text-decoration: none;
  	color: #6A1A7F;
  	font-weight: bold;
  	padding: 4px 8px;
  	text-transform: uppercase;
  	cursor: pointer;
  	margin: 8px auto;
  	border-radius: 3px;
}

.grid-button .icon {
	width: 16px;
	height: 16px;
	overflow: hidden;
	background-repeat: no-repeat;
	background-size: 100%;
	display: block;
	text-indent: -99999px;
}

.grid-button .icon-save {
	background-image: url("../images/icons/save-icon.png");
}

.grid-button .icon-edit {
	background-image: url("../images/icons/edit-icon.png");
}

.grid-button .icon-delete {
	background-image: url("../images/icons/delete-icon.png");
}

.grid-button .icon-alert {
	background-image: url("../images/icons/alert-icon.png");
}


button.purple.icon,
button.default.icon {
	min-width: 0px;
	border-radius: 3px;
	padding: 4px 8px;
	vertical-align: middle;
	margin-left: 2px;
}

button.purple.icon > span,
button.default.icon > span {
  width: 16px;
  height: 16px;
  overflow: hidden;
  background-repeat: no-repeat;
  background-size: 100%;
  background-position: center;
  display: block;
  text-indent: -99999px;
}

.icon-refresh {
	background-image: url("../images/icons/refresh.png");
}

button.purple .icon-refresh,
button.default:hover .icon-refresh {
	background-image: url("../images/icons/refresh-hover.png");
}

.icon-arrow-up {
	background-image: url("../images/buttons/arrow-up.svg");
}

button.purple .icon-arrow-up,
button.default:hover .icon-arrow-up {
	background-image: url("../images/buttons/arrow-up-hover.svg");
}

.icon-edit {
	background-image: url("../images/icons/edit-icon.png");
}

button.purple .icon-edit,
button.default:hover .icon-edit {
	background-image: url("../images/icons/edit-icon-hover.png");
}

.icon-delete {
	background-image: url("../images/icons/delete-icon.png");
}

button.purple .icon-delete,
button.default:hover .icon-delete {
	background-image: url("../images/icons/delete-icon-hover.png");
}

.icon-email {
	background-image: url("../images/icons/email-icon.png");
}

button.purple .icon-email,
button.default:hover .icon-email {
	background-image: url("../images/icons/email-icon-hover.png");
}

.icon-pin {
	background-image: url("../images/icons/pin-icon.png");
}

button.purple .icon-pin,
button.default:hover .icon-pin {
	background-image: url("../images/icons/pin-icon-hover.png");
}

.icon-date {
	background-image: url("../images/icons/date-icon.png");
}

button.purple .icon-date,
button.default:hover .icon-date {
	background-image: url("../images/icons/date-icon-hover.png");
}

.icon-menu {
	background-image: url("../images/icons/menu-icon.png");
}

button.purple .icon-menu,
button.default:hover .icon-menu {
	background-image: url("../images/icons/menu-icon-hover.png");
}

/* 
 * Drop Down 
 */

/* The container must be positioned relative: */
div.custom-select {
	position: relative;
	font-family: "Open Sans",Arial,sans-serif;
	width: 270px;
	display: inline-block;
}

select.custom-select {
	display: none; /*hide original SELECT element: */
}

.select-selected {
  background-color: white;
}


/* Style the arrow inside the select element: */
.select-selected:after {
  position: absolute;
  content: "";
  top: 0px;
  right: 0px;
  bottom: 0px;
  width: 30px;
  height: auto;
  background-color: #6A1A7F;
  background-image: url("../images/controls/drop_down.png");
  background-repeat: no-repeat;	
  background-position: center center; 		  
}


/* style the items (options), including the selected item: */
.select-items div,
.select-selected {
  color: #6A1A7F;
  padding: 8px 16px;
  border: 1px solid #585858;  
  cursor: pointer;
  text-align: left;
}

.select-items div {
  
  border: 1px solid white;
}

/* Style items (options): */
.select-items {
  position: absolute;
  background-color: white;
  border: 1px solid #585858;
  top: 100%;
  left: 0;
  right: 0;
  z-index: 99;
  overflow: auto;
  max-height: 150px;
}

/* Hide the items when the select box is closed: */
.select-hide {
  display: none;
}

.select-items div:hover,  div.same-as-selected {
	background-color: #6A1A7F;
	border: 1px solid #532874;
	color: white;		
}


.control-selectmenu-middle {
	display: inline-block; 
	vertical-align: middle;
}


.control-dropdown-list {
	width: 270px;
}

.control-dropdown-list-menu {
	max-height:  400px;
}

.control-dropdown-list-menu-small {
	max-height:  150px;
}



.styled-select {
	position: relative; 
	display: inline-block;
}

.styled-select select {	
	/* Removes arrow */
	-moz-appearance: none;
	-webkit-appearance: none;
				
	border: 1px solid #585858;
	background-color: #fff;
	height: 2.0rem;
	
	align-items: center;
	
	padding: 4px 5px;
	
	padding-right: 2.5rem;
	
	position: relative;
	width: 100%;
}

.styled-select .pointer {
	background-color: #6A1A7F; 
	color: white; 
	right: 0; 
	top: 0; 
	bottom: 0; 
	position: absolute; 
	pointer-events: none; 
	display: flex; 
	align-items: center; 
	align-content: center; 
	padding-left: 0.3rem; 
	padding-right: 0.3rem;
	border: 1px solid #585858;;
}

.styled-select .pointer img {
	width: 1.5rem; 
	height: 1.5rem;
}

/* 
 * List 
 */

th.ui-th-column div {
    word-wrap: break-word; /* IE 5.5+ and CSS3 */
    white-space: pre-wrap; /* CSS3 */
    white-space: -moz-pre-wrap; /* Mozilla, since 1999 */
    white-space: -pre-wrap; /* Opera 4-6 */
    white-space: -o-pre-wrap; /* Opera 7 */
    overflow: hidden;
    height: auto !important;
    vertical-align: middle;
}

/* 
 * File Upload 
 */

.fileinput-button {
	position: relative;
	overflow: hidden;
	display: inline-block;
}
				
.fileinput-button input {
	position: absolute;
	top: 0;
	right: 0;
	margin: 0;
	opacity: 0;
	-ms-filter: 'alpha(opacity=0)';
	font-size: 200px !important;
	direction: ltr;
	cursor: pointer;
}

a.view-file {
	color: #6A1A7F;
	font-weight: bold;
	cursor: pointer;
	margin-right: 15px;
	font-size: 1em;
	border-bottom: 1px solid #6A1A7F;
	white-space: nowrap;
}

span.upload-placeholder {
	font-weight: 600;
	margin-right: 15px;
	font-size: 1em;
	white-space: nowrap;
}

input.upload-placeholder {
	width: 93px;
}

/* 
 * Repair Search 
 */

.repair-search {
	position: relative;
}

.repair-search .search-icon {
  position: absolute;
  top: 0px;
  right: 29px;
  display: block;
  height: 15px;
  width: 15px;
  background-image: url('../images/buttons/search-icon-purple.svg');
  background-size: 100%;
  cursor: pointer;
}

.repair-search input {
	padding-right: 23px;
	margin-right: 23px;
}

.repair-search .result-icon {
  position: absolute;
  top: 0px;
  right: 0px;
  display: block;
  height: 20px;
  width: 20px;
  background-size: 100%;
  cursor: default;
}

.repair-search .result-icon.invalid-icon {
  background-image: url('../images/icons/invalid-icon.png');
}

.repair-search .result-icon.valid-icon {
  background-image: url('../images/icons/valid-icon.png');
}

/* 
 * Damage Indicator 
 */

canvas.damage-indicator {
	background-image: url("../images/damage-indicators/sedan.png");
	background-size: 100% 100%;                      
	background-repeat: no-repeat;
	background-position: center center;
	
	vertical-align: top; 
	width:100%; 
	width: 400px; 
	height: 300px;
}

/* 
 * Signature Pad
 */
 
.signature-pad {
	border:1px solid #ccc;
	border-radius: 5px;
	display: inline-block; 
	position: relative;
	padding: 3px;
}

.signature-pad button {
	position: absolute;
	top: 5px;
	right: 5px;
}

.signature-pad canvas {
	/* Must set width and height on canvas element */
	vertical-align: top; 
}

/* 
 * Progress Bar 
 */

.progress-bar {
	position: relative;
	border-radius: 10px;
	background-image: url("../images/uploader/progress_bar_bg.png");
	background-repeat: repeat-x;
   	background-size: auto 100%;			   	 
    height: 22px;	
}

.bar {
	display: none;
    height: calc(100% - 2px);
    background-image: url("../images/uploader/progress_bar_fill.png");
    background-repeat: repeat-x;
    background-size: auto 100%;			    
	border: solid 1px #4f8434;				
	border-radius: 10px;
}

.progress-bar label {
	position: absolute; 
	top:2px; 
	left: calc(50% - 5px);
	font-size:  14px;
}